import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbeStatus } from '@overflow/commons-typescript/model/meta';

export const metaProbeStatusEntityAdapter = createEntityAdapter<MetaProbeStatus, RPCClientError>();
export interface State extends EntityState<MetaProbeStatus, RPCClientError> {
}
export const initialState: State = metaProbeStatusEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbeStatusEntityAdapter.getSelectors(selector),
  };
}
